@extends('admin::curd.index')
@section('heading')
<i class="fa fa-file-text-o"></i> {!! trans('trips::trips.name') !!} <small> {!! trans('cms.manage') !!} {!! trans('trips::trips.names') !!}</small>
@stop

@section('title')
{!! trans('trips::trips.names') !!}
@stop

@section('breadcrumb')
<ol class="breadcrumb">
    <li><a href="https://lavalite.org/admin"><i class="fa fa-dashboard"></i> {!! trans('cms.home') !!} </a></li>
    <li class="active">{!! trans('trips::trips.names') !!}</li>
</ol>
@stop

@section('entry')
<div class="box box-warning" id='entry-trips'>
</div>
@stop

@section('tools')
@stop

@section('content')
<table id="main-list" class="table table-striped table-bordered">
    <thead>
        <th>{!! trans('trips::trips.label.trip_name')!!}</th>
                    <th>{!! trans('trips::trips.label.trip_description')!!}</th>
                    <th>{!! trans('trips::trips.label.trip_price')!!}</th>
                    <th>{!! trans('trips::trips.label.featured_image')!!}</th>
    </thead>
</table>
@stop
@section('script')
<script type="text/javascript">

var oTable;
$(document).ready(function(){
    $('#entry-trips').load('{!!URL::to('admin/trips/trips/0')!!}');
    oTable = $('#main-list').dataTable( {
        "ajax": '{!! URL::to('/admin/trips/trips') !!}',
        "columns": [
            {data :'trip_name'},
                    {data :'trip_description'},
                    {data :'trip_price'},
                    {data :'featured_image'},
        ],
        "tripsLength": 50
    });

    $('#main-list tbody').on( 'click', 'tr', function () {
        $(this).toggleClass("selected").siblings(".selected").removeClass("selected");

        var d = $('#main-list').DataTable().row( this ).data();

        $('#entry-trips').load('{!!URL::to('admin/trips/trips')!!}' + '/' + d.id);

    });
});
</script>
@stop

@section('style')
@stop