<?php

namespace Anytech\Trips\Http\Requests;

use App\Http\Requests\Request;
use User;

class TripsUserRequest extends Request
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize(\Illuminate\Http\Request $request)
    {
        // Determine if the user is authorized to do  the action,
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules(\Illuminate\Http\Request $request)
    {
        // validation rule for create request.
        if ($request->isMethod('POST')) {
            return [
                'trip_name'           => 'required',
                'trip_description'    => 'required',
                'featured_image'      => 'required',
            ];
        }
        // Validation rule for update request.
        if ($request->isMethod('PUT') || $request->isMethod('PATCH')) {
            return [
                'trip_name'           => 'required',
                'trip_description'    => 'required',
                'featured_image'      => 'required',
            ];
        }

        // Default validation rule.
        return [

        ];
    }
}
