<?php

namespace Anytech\Trips\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Lavalite\Filer\FilerTrait;

class Trips extends Model
{
    use FilerTrait, SoftDeletes;

    protected $dates = ['deleted_at'];

    /**
     * Initialiaze page modal.
     *
     * @param $name
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Initialize the modal variables.
     *
     * @return void
     */
    public function initialize()
    {
        $this->fillable = config('trips.trips.fillable');
        $this->uploads = config('trips.trips.uploadable');
        $this->uploadRootFolder = config('trips.trips.upload_root_folder');
        $this->table = config('trips.trips.table');
    }
}
